=== client_caca/CMakeLists.txt ===
SET( CLIENT_CACA_SOURCES
	client.c
)
SET( SVN_REV "${MMPONG_WC_REVISION}" )

SET( CONFIGURE_DIR "${CMAKE_CURRENT_BINARY_DIR}")
CONFIGURE_FILE ( config.h.in ${CONFIGURE_DIR}/config.h )

FIND_PACKAGE(PkgConfig REQUIRED)
PKG_SEARCH_MODULE( CACA caca)
IF(CACA_FOUND)
	MESSAGE(STATUS "found libcaca: enabling client-caca.")
	ADD_EXECUTABLE( mmpong-caca ${CLIENT_CACA_SOURCES})
	INCLUDE_DIRECTORIES( mmpong-caca ${INC_DIR_LIB} ${CACA_INCLUDE_DIRS}
			${CMAKE_SOURCE_DIR} ${CONFIGURE_DIR})
	TARGET_LINK_LIBRARIES( mmpong-caca libmmpong ${CACA_LIBRARIES})
	INSTALL(TARGETS mmpong-caca RUNTIME DESTINATION games)
ELSE(CACA_FOUND)
	MESSAGE(STATUS "could not find libcaca: disabling client-caca.")
ENDIF(CACA_FOUND)
