=== server/CMakeLists.txt ===
SET( SERVER_SOURCES
	addrtable.c
	hashmap.c
	linklist.c
	main.c
	thread.c
)
SET( SVN_REV "${MMPONG_WC_REVISION}" )

FIND_PACKAGE(Threads)
IF(CMAKE_USE_PTHREADS_INIT)
	MESSAGE(STATUS "found pthreads: enabling server.")

	SET( CONFIGURE_DIR "${CMAKE_CURRENT_BINARY_DIR}")
	CONFIGURE_FILE ( config.h.in ${CONFIGURE_DIR}/config.h )

	INCLUDE(CheckTypeSize)
	SET(CMAKE_EXTRA_INCLUDE_FILES "netinet/in.h")
	CHECK_TYPE_SIZE( "void *" VOID_PTR_SIZE )
	CHECK_TYPE_SIZE( "unsigned" UNSIGNED_SIZE )
	CHECK_TYPE_SIZE( "in_addr_t" IN_ADDR_T_SIZE )
	CONFIGURE_FILE ( sizeof.h.in ${CONFIGURE_DIR}/sizeof.h )

	ADD_EXECUTABLE( mmpongd ${SERVER_SOURCES} )
	INCLUDE_DIRECTORIES( mmpongd ${INC_DIR_LIB} ${CMAKE_SOURCE_DIR} ${CONFIGURE_DIR})
	TARGET_LINK_LIBRARIES( mmpongd libmmpong ${CMAKE_THREAD_LIBS_INIT})
	INSTALL(TARGETS mmpongd RUNTIME DESTINATION games)
ELSE(CMAKE_USE_PTHREADS_INIT)
	MESSAGE(STATUS "could not find pthreads: disabling server.")
ENDIF(CMAKE_USE_PTHREADS_INIT)
