=== debian/changelog ===
mmpong (0.9.1-3) unstable; urgency=low

  * Acknowledge NMU.
  * Add patch for RollupEnabled to RollUpEnabled. (Closes: #684602).
  * Add patch to remove Encoding from desktop file.
  * Move from CDBS build system to dh.
  * Use canonical VCS tags.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 30 Jun 2013 05:26:42 -0400

mmpong (0.9.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: client.cpp:276:71: error: 'usleep' was not declared in
    this scope": add patch from Cyril Roelandt (missing includes).
    (Closes: #672025)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 21:17:38 +0200

mmpong (0.9.1-2) unstable; urgency=low

  * Team upload.
  * Converted to quilt(3.0) format.
  * Fixed FTBFS due to API change in cegui (Closes: #642144).
  * Standards-Version: updated to 3.9.2 (no changes required).
  * Escaped dashes in manpage source (lintian warning).

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sat, 10 Dec 2011 23:30:46 -0500

mmpong (0.9.1-1) unstable; urgency=low

  * New upstream release: replace non-free with free font (Closes: #543782)

 -- André Gaul <gaul@web-yard.de>  Thu, 01 Apr 2010 23:05:35 +0200

mmpong (0.9-4) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Remove trailing comma from mmpong-gl depends. (Closes: #538815).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 13 Aug 2009 10:20:35 -0400

mmpong (0.9-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Remove trailing full-stop from Build-Depends
    (Closes: #536242, LP: #392217, Closes: #536242)

  [ Gonéri Le Bouder ]
  * Bump standard version to 3.8.2, no change
  * Add myself in uploader
  * Drop the dependency of mmpong-gl on libcegui-mk2-dev, #425983 is fixed now

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 23 Jul 2009 14:08:53 +0200

mmpong (0.9-2) unstable; urgency=low

  [ André Gaul ]
  * Depend on libcegui-mk2-dev to work around #425983 (Closes: #519359)
  * Vcs-*: move the package to Debian Games svn repository

  [ Gonéri Le Bouder ]
  * Add a comment in debian/control about #425983

 -- André Gaul <gaul@web-yard.de>  Sun, 15 Mar 2009 00:26:31 +0100

mmpong (0.9-1) unstable; urgency=low

  * Initial release (Closes: #511530)

 -- André Gaul <gaul@web-yard.de>  Fri, 09 Jan 2009 16:39:01 +0100
