=== debian/control ===
Source: mmpong
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: André Gaul <gaul@web-yard.de>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 9), cmake, libsdl1.2-dev,
 libsdl-image1.2-dev, libsdl-mixer1.2-dev, libcaca-dev (>=0.99.beta16),
 libcegui-mk2-dev (>= 0.7), pkg-config
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/mmpong
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/mmpong/
Homepage: http://www.mmpong.net

Package: libmmpong0.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game library (shared libraries)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains shared libraries.

Package: libmmpong0.9-dev
Section: libdevel
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}), ${misc:Depends}
Description: massively multiplayer pong game library (development headers)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains development files.

Package: mmpongd
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game server
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game server.

Package: mmpong-caca
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game client (caca version)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game client (caca version).

# mmpong-gl depends on libcegui-mk2-dev as long as #425983 is not 
# fixed in libcegui-mk2
Package: mmpong-gl
Architecture: any
Depends: libmmpong0.9 (= ${binary:Version}),
 mmpong-gl-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game client (OpenGL version)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game client (OpenGL version).

Package: mmpong-gl-data
Architecture: all
Depends: ttf-freefont, ${shlibs:Depends}, ${misc:Depends}
Description: massively multiplayer pong game client data (OpenGL version)
 mmpong is an ATARI-pong-like multiplayer game, where a moving ball
 reflects on impact from paddles on the left and right sides of the
 screen.
 .
 A special feature of this variant is the ability to play the game
 with far more than two players. Players are split into two teams, and
 the position of each team's paddle is determined by the mean value of
 the positions of all the players' paddles on the team. mmpong supports
 a number of different paddle profiles (like flat or round).
 .
 This package contains the game client data (OpenGL version).
