=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_install:
	rm -f debian/tmp/usr/share/games/mmpong-gl/CEGUI/fonts/FreeSansBold.ttf
	rm -f debian/tmp/usr/share/games/mmpong-gl/CEGUI/copyright
	rm -f debian/tmp/usr/share/games/mmpong-gl/sounds/copyright
	dh_install
