=== debian/watch ===
version=3
http://www.mmpong.net/trac/downloads/mmpong-(.*).tar.gz
